<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Intro to Bootstrap and Simple Style</title>
<!-- This is where we need to paste bootstrap connection link -->

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="bg-secondary text-center">


	<!-- Nav bar -->
	<div class="bg-primary text-light fixed-top p-1">Fixed Top - Navbar</div>

	<div class="mt-5 text-center text-light">
		<h1>Bootstrap Introduction and Simple Styles</h1>
		<div class="d-none w-25 d-md-inline-block mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>
	</div>




	<!-- Boostrap Color classes table -->
	<h2 class="text-light mt-5">Bootstrap Color Classes</h2>

	<!-- boostrap utility container/classes -->
	<!-- container will occupy percentage of the screen width with equal margin on both sides (left and right) -->
	<!-- container fluid 100% of the width with slight margin-->
	<div class="container-fluid">
		
		<table class="table table-dark table-bordered">

			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
					<th>Text Transform</th>
				</tr>
			</thead>
	<tbody>
		<tr>
			<td>
				<a href="#" class="text-primary">Primary Link</a>
			</td>
			<td class="bg-primary">Primary Link </td>
			<td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
		</tr>
	</tbody>


		<tbody>
		<tr>
			<td>
				<a href="#" class="text-secondary">Secondary Link</a>
			<td class="bg-secondary">Secondary Link </td>
			<td class="text-uppercase font-weight-normal">uppercase normal text</td>
			</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-success">Success Lilnk</a>
				</td>
			<td class="bg-success">Success Link </td>
			<td class="text-capitalize text-weight-light">Capitalized light text</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-danger">Danger Link</a>
				</td>
			<td class="bg-danger">Danger Link </td>
			<td>
				<a href="#" class="text-decoration-none font-italic">Non-underlined Italic link</a>
			</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-warning">Warning Link</a>
			<td class="bg-warning">Warning Link </td>
			</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-info">Info Link</a>
				
			<td class="bg-info">Info Link </td>
			</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-light">light link</a>
				</td>
			<td class="bg-light">Light Link </td>
			
		</tr>
	</tbody>


	<tbody>
		<tr>
			<td>
				<a href="#" class="text-dark">dark Link</a>
			<td class="bg-dark">Dark Link </td>
			</td>
		</tr>
	</tbody>

		<tbody>
		<tr>
			<td>
				<a href="#" class="text-white">White Link</a>
			<td class="bg-white">White Link </td>
			</td>
		</tr>
	</tbody>

	<tbody>
		<tr>
			<td>
				<a href="#" class="text-muted">muted Link</a>
			<td class="bg-muted">Muted Link </td>
			</td>
		</tr>
	</tbody>



	</table>


	</div>

	<h2 class="text-dark">Bootstrap Border and Sizing Class</h2>


<div class="container-fluid">
	<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Border</th>
			</tr>
		</thead>




	<tbody>
		<tr>
			<td>
				<div class="bg-info border border-primary rounded">Rounded</div>
			</td>
		</tr>

		<tr>
			<td>
				<div class="bg-secondary border border-white rounded-circle">Rounded Circle</div>
			</td>
		</tr>

		<tr>
			<td>
				<div class="bg-warning border border-danger rounded-pill">Rounded Pill</div>
			</td>
		</tr>
	</tbody>

	</table>
	
</div>






<!-- It is our best pratice to paste or to have scripts on the botom part of the html body -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>